Bug 210979 - [new port] www/py-flask-restplus Fully featured framework for API development with Flask
Summary: [new port] www/py-flask-restplus Fully featured framework for API development...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks: 210984 211174
  Show dependency treegraph
 
Reported: 2016-07-10 18:48 UTC by Andrej Ebert
Modified: 2016-07-18 19:24 UTC (History)
2 users (show)

See Also:


Attachments
py-flask-restplus (2.35 KB, text/plain)
2016-07-10 18:48 UTC, Andrej Ebert
no flags Details
poudriere log (50.06 KB, text/plain)
2016-07-10 18:49 UTC, Andrej Ebert
no flags Details
poudriere-portlint log (90 bytes, text/plain)
2016-07-10 18:49 UTC, Andrej Ebert
no flags Details
Downgrade to 0.8.6 (1.29 KB, patch)
2016-07-18 15:10 UTC, Andrej Ebert
no flags Details | Diff
poudriere log (46.17 KB, text/plain)
2016-07-18 15:17 UTC, Andrej Ebert
no flags Details
poudriere-portlint log (90 bytes, text/plain)
2016-07-18 15:18 UTC, Andrej Ebert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Ebert 2016-07-10 18:48:58 UTC
Created attachment 172338 [details]
py-flask-restplus

Flask-RESTPlus is an extension for Flask that adds support for quickly building REST APIs. Flask-RESTPlus encourages best practices with minimal setup. If you are familiar with Flask, Flask-RESTPlus should be easy to pick up. It provides a coherent collection of decorators and tools to describe your API and expose its documentation properly using Swagger.

It is a dependency of (newer versions of) www/py-flexget.
Comment 1 Andrej Ebert 2016-07-10 18:49:16 UTC
Created attachment 172339 [details]
poudriere log
Comment 2 Andrej Ebert 2016-07-10 18:49:39 UTC
Created attachment 172340 [details]
poudriere-portlint log
Comment 3 commit-hook freebsd_committer 2016-07-16 18:04:08 UTC
A commit references this bug:

Author: pawel
Date: Sat Jul 16 18:03:27 UTC 2016
New revision: 418645
URL: https://svnweb.freebsd.org/changeset/ports/418645

Log:
  Extension for Flask that adds support for quickly building REST APIs.
  Flask-RESTPlus encourages best practices with minimal setup.
  If you are familiar with Flask, Flask-RESTPlus should be easy to pick up.
  It provides a coherent collection of decorators and tools to describe your
  API and expose its documentation properly using Swagger.

  WWW: https://github.com/noirbizarre/flask-restplus

  PR:		210979
  Submitted by:	Andrej Ebert <andrej@ebert.su>

Changes:
  head/www/Makefile
  head/www/py-flask-restplus/
  head/www/py-flask-restplus/Makefile
  head/www/py-flask-restplus/distinfo
  head/www/py-flask-restplus/pkg-descr
Comment 4 Andrej Ebert 2016-07-18 15:10:46 UTC
Created attachment 172655 [details]
Downgrade to 0.8.6

Downgrade to 0.8.6, since flexget (at the moment) needs this version.
Comment 5 Andrej Ebert 2016-07-18 15:17:36 UTC
Created attachment 172656 [details]
poudriere log
Comment 6 Andrej Ebert 2016-07-18 15:18:08 UTC
Created attachment 172657 [details]
poudriere-portlint log
Comment 7 Andrej Ebert 2016-07-18 15:18:36 UTC
Downgrade to 0.8.6, since flexget (at the moment) needs this version.
Comment 8 commit-hook freebsd_committer 2016-07-18 19:07:20 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 18 19:06:28 UTC 2016
New revision: 418732
URL: https://svnweb.freebsd.org/changeset/ports/418732

Log:
  www/py-flask-restplus{,08}: fork 0.8.6 for www/py-flexget

  PR:		210979
  Submitted by:	Andrej Ebert <andrej@ebert.su> (maintainer)

Changes:
  head/www/Makefile
  head/www/py-flask-restplus/Makefile
  head/www/py-flask-restplus08/
  head/www/py-flask-restplus08/Makefile
  head/www/py-flask-restplus08/distinfo
  head/www/py-flask-restplus08/pkg-descr
Comment 9 Jan Beich freebsd_committer 2016-07-18 19:14:43 UTC
Thanks. Landed. I've added a new port instead of fiddling with PORTEPOCH. It can be dropped once www/py-flexget supports >= 0.9.x.